# Create user session with existing session

This function creates a temporary user session.

Important:

* Because this function requires a valid cPanel session ID, you must call it via a cPanel or Webmail session URL. If you call this function via the command line or Template Toolkit, it will not create a temporary user session. You must use the WHM API 1 create_user_session function to create a temporary user session.
* Third-party plugins that require access to temporary MySQL users must call this function via the URL. It will create the temporary users before they are available. You can find these users in the $ENV{'REMOTE_DBOWNER'} environment variable.
* If you cannot update your system, update your scripts to call the Cgi::phpmyadminlink function. This will create a temporary user session for you.

Endpoint: GET /Session/create_temp_user
Version: 11.136.0.14
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "create_temp_user"

  - `module` (string)
    The name of the module called.
    Example: "Session"

  - `result` (object)

  - `result.data` (object)

  - `result.data.created` (integer)
    Whether the function successfully created the temporary user session.
* 1 - Success.
* 0 - Failure.
    Enum: 0, 1

  - `result.data.session_temp_user` (string)
    The temporary user's session ID.
    Example: "cpses_reviY3ZSQK"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


